%global srcname pytest-virtualenv
%global sum Virtualenv fixture for py.test
%global desc \
Create a Python virtual environment in your test that cleans up on teardown. \
The fixture has utility methods to install packages and list what’s installed.

%bcond_without tests


Name:           python-%{srcname}
Version:        1.2.11
Release:        4%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools_git
%if 0%{?epel} && 0%{?epel} <= 7
BuildRequires:  pytest
BuildRequires:  python-six
%else
BuildRequires:  python2-pytest
BuildRequires:  python2-six
%endif
# Python3
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-setuptools_git

# needed for tests
%if %{with tests}
BuildRequires:  python2-pytest-shutil
BuildRequires:  python2-pytest-fixture-config
BuildRequires:  python2-path
BuildRequires:  python2-execnet
BuildRequires:  python2-mock
BuildRequires:  python2-contextlib2
BuildRequires:  python2-virtualenv
BuildRequires:  python%{python3_pkgversion}-pytest-shutil
BuildRequires:  python%{python3_pkgversion}-pytest-fixture-config
BuildRequires:  python%{python3_pkgversion}-path
BuildRequires:  python%{python3_pkgversion}-execnet
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-contextlib2
BuildRequires:  python%{python3_pkgversion}-virtualenv
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-pytest-shutil
BuildRequires:  python%{python3_other_pkgversion}-pytest-fixture-config
BuildRequires:  python%{python3_other_pkgversion}-path
BuildRequires:  python%{python3_other_pkgversion}-execnet
BuildRequires:  python%{python3_other_pkgversion}-mock
BuildRequires:  python%{python3_other_pkgversion}-contextlib2
BuildRequires:  python%{python3_other_pkgversion}-virtualenv
%endif
%endif # with tests

%description %{desc}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires: python2-pytest
Requires: python2-pytest-shutil
Requires: python2-pytest-fixture-config
Requires: python2-path
Requires: python2-execnet
Requires: python2-contextlib2
Requires: python2-virtualenv

%description -n python2-%{srcname} %{desc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires: python%{python3_pkgversion}-pytest
Requires: python%{python3_pkgversion}-pytest-shutil
Requires: python%{python3_pkgversion}-pytest-fixture-config
Requires: python%{python3_pkgversion}-path
Requires: python%{python3_pkgversion}-execnet
Requires: python%{python3_pkgversion}-contextlib2
Requires: python%{python3_pkgversion}-virtualenv

%description -n python%{python3_pkgversion}-%{srcname} %{desc}

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}
Requires: python%{python3_other_pkgversion}-pytest
Requires: python%{python3_other_pkgversion}-pytest-shutil
Requires: python%{python3_other_pkgversion}-pytest-fixture-config
Requires: python%{python3_other_pkgversion}-path
Requires: python%{python3_other_pkgversion}-execnet
Requires: python%{python3_other_pkgversion}-contextlib2
Requires: python%{python3_other_pkgversion}-virtualenv

%description -n python%{python3_other_pkgversion}-%{srcname} %{desc}
%endif


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

%install
%py2_install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif

%if %{with tests}
%check
%{__python2} setup.py test
%{__python3} setup.py test
%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif
%endif # with tests

%files -n python2-%{srcname}
%doc README.md CHANGES.md
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md CHANGES.md
%{python3_sitelib}/*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%doc README.md CHANGES.md
%{python3_other_sitelib}/*
%endif


%changelog
* Mon Oct 09 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.2.11-4
- Build for python3_other

* Mon Sep 18 2017 Kevin Fenzi <kevin@scrye.com> - 1.2.11-3
- Fix up Requires to pull in things it needs to function

* Sun Sep 10 2017 Kevin Fenzi <kevin@scrye.com> - 1.2.11-2
- Added BuildRequires for tests

* Tue Aug 15 2017 Kevin Fenzi <kevin@scrye.com> - 1.2.11-1
- Initial version. 
